## xfce4-dxreminders-plugin 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(xfce4-dxreminders-plugin C)

# version number
set(xfce4-dxreminders-plugin_version_major "1")
set(xfce4-dxreminders-plugin_version_minor "0")
set(xfce4-dxreminders-plugin_version_micro "0")
set(xfce4-dxreminders-plugin_version "${xfce4-dxreminders-plugin_version_major}.${xfce4-dxreminders-plugin_version_minor}.${xfce4-dxreminders-plugin_version_micro}")

include(GNUInstallDirs)

add_subdirectory(icons)
add_subdirectory(panel-plugin)
add_subdirectory(po)

set(ARCHIVE_NAME "xfce4-dxreminders-plugin-${xfce4-dxreminders-plugin_version}")
add_custom_target(dist COMMAND cd ${CMAKE_CURRENT_SOURCE_DIR} &&
    rm -rf ${ARCHIVE_NAME} &&
    svn export . ${ARCHIVE_NAME} &&
    tar czf ${ARCHIVE_NAME}.tar.gz ${ARCHIVE_NAME} &&
    rm -rf ${ARCHIVE_NAME}
)

# uninstall target
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake
    IMMEDIATE @ONLY)
add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake)

message(STATUS "xfce4-dxreminders-plugin")
message(STATUS "Install prefix:    ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Build type:        ${CMAKE_BUILD_TYPE}")
