=== icons/CMakeLists.txt ===
set(INSTALL_ICONDIR ${CMAKE_INSTALL_DATADIR}/icons/hicolor)

install(FILES dxreminders16.png DESTINATION ${INSTALL_ICONDIR}/16x16/apps RENAME xfce4-dxreminders-plugin.png)

install(FILES dxreminders22.png DESTINATION ${INSTALL_ICONDIR}/22x22/apps RENAME xfce4-dxreminders-plugin.png)

install(FILES dxreminders24.png DESTINATION ${INSTALL_ICONDIR}/24x24/apps RENAME xfce4-dxreminders-plugin.png)

install(FILES dxreminders32.png DESTINATION ${INSTALL_ICONDIR}/32x32/apps RENAME xfce4-dxreminders-plugin.png)

install(FILES dxreminders36.png DESTINATION ${INSTALL_ICONDIR}/36x36/apps RENAME xfce4-dxreminders-plugin.png)

install(FILES dxreminders48.png DESTINATION ${INSTALL_ICONDIR}/48x48/apps RENAME xfce4-dxreminders-plugin.png)

install(FILES dxreminders.svg DESTINATION ${INSTALL_ICONDIR}/scalable/apps RENAME xfce4-dxreminders-plugin.svg)
