=== panel-plugin/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
pkg_check_modules(libxfce4panel REQUIRED IMPORTED_TARGET libxfce4panel-2.0>=4.11)
pkg_check_modules(libxfce4ui REQUIRED IMPORTED_TARGET libxfce4ui-2>=4.11)

add_library(dxreminders MODULE
    dxreminders.c
    dxreminders-dialogs.c)

target_link_libraries(dxreminders
    PkgConfig::libxfce4panel
    PkgConfig::libxfce4ui)

if(CMAKE_BUILD_TYPE MATCHES Debug)
add_definitions(-DDEBUG)
endif(CMAKE_BUILD_TYPE MATCHES Debug)

target_compile_options(dxreminders PRIVATE -Wall -Wextra)

target_compile_definitions(dxreminders PRIVATE
    GETTEXT_PACKAGE="xfce4-dxreminders-plugin"
    PACKAGE_LOCALE_DIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
    PACKAGE_NAME="xfce4-dxreminders-plugin"
    PACKAGE_VERSION="${dxreminders_version}"
    BINDIR="${CMAKE_INSTALL_FULL_BINDIR}"
    DATADIR="${CMAKE_INSTALL_FULL_DATADIR}"
    G_LOG_DOMAIN="dxreminders"
    GSEAL_ENABLE
    GTK_MULTIHEAD_SAFE)

install(TARGETS dxreminders LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/xfce4/panel/plugins)
install(FILES dxreminders.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/xfce4/panel/plugins)
