=== debian/changelog ===
xfce4-dxreminders-plugin (1.0.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Rename upstream tarball to remove -1 and add .orig.
  * Rules: add override_dh_strip: dh_strip --no-automatic-dbgsym.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 21 Sep 2021 10:51:32 -0400

xfce4-dxreminders-plugin (1.0.0-1) unstable; urgency=low

  * Initial release

 -- David Vachulka <arch_dvx@users.sourceforge.net>  Sun, 21 Jun 2020 13:13:13 +0200
