=== debian/control ===
Source: xfce4-dxreminders-plugin
Section: misc
Priority: extra
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: David Vachulka <arch_dvx@users.sourceforge.net>
Build-Depends: debhelper (>= 9), make, cmake, gettext, libxfce4panel-2.0-dev, libxfce4ui-2-dev, pkg-config
Standards-Version: 4.2.1
Homepage: https://dxreminders.dxsolutions.org

Package: xfce4-dxreminders-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dxreminders (>= 1.20.0)
Description: reminders, date and time plugin for the Xfce4 panel
 This plugin shows the date and time in the panel, and mini-calendar or
 dxReminders (depends on option) appears when you left-click on it.
 dxReminders appers on right-click menu.
